org.modeshape.jcr.query

## Class CompositeIndexWriter

- java.lang.Object
- - org.modeshape.jcr.query.CompositeIndexWriter

- All Implemented Interfaces:
    IndexWriter

      public class CompositeIndexWriter
      extends Object
      implements IndexWriter

  A composition of multiple QueryIndexWriter instances.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CompositeIndexWriter(List<IndexWriter> writers)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(String workspace, NodeKey key, Path path, Name primaryType, Set<Name> mixinTypes, CachedNode.Properties properties)` Add to the index the information about a node.
    `boolean` | `canBeSkipped()` Flag that defines whether this index may be skipped.
    `void` | `clearAllIndexes()` Clear all indexes of content.
    `static IndexWriter` | `create(Iterable<IndexProvider> providers)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeIndexWriter

          protected CompositeIndexWriter(List<IndexWriter> writers)

  - ### Method Detail

    - #### create

          public static IndexWriter create(Iterable<IndexProvider> providers)

    - #### clearAllIndexes

          public void clearAllIndexes()

      Description copied from interface: `IndexWriter`
      Clear all indexes of content. This method is typically called prior to a re-indexing operation.
      Specified by:
        `clearAllIndexes` in interface `IndexWriter`

    - #### canBeSkipped

          public boolean canBeSkipped()

      Description copied from interface: `IndexWriter`
      Flag that defines whether this index may be skipped. This is usually the case when the writer has no indexes behind it.
      Specified by:
        `canBeSkipped` in interface `IndexWriter`
      Returns:
        true if this index writer does not need to be called, or false otherwise

    - #### add

          public void add(String workspace,
                 NodeKey key,
                 Path path,
                 Name primaryType,
                 Set<Name> mixinTypes,
                 CachedNode.Properties properties)

      Description copied from interface: `IndexWriter`
      Add to the index the information about a node.
      Specified by:
        `add` in interface `IndexWriter`
      Parameters:
        `workspace` - the workspace in which the node information should be available; may not be null
        `key` - the unique key for the node; may not be null
        `path` - the path of the node; may not be null
        `primaryType` - the primary type of the node; may not be null
        `mixinTypes` - the mixin types for the node; may not be null but may be empty
        `properties` - the properties of the node; may not be null but may be empty

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.